All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PHTML::InputText Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::InputText:

## Public Member Functions

| InputText (const char *fname, int size, const char *init=NULL, const char *attr=NULL)
| InputText (const char *fname, int size, DisableCodes disabled, const char *attr=NULL)
| InputText (const char *fname, int size, int maxLength, DisableCodes disabled=Enabled, const char *attr=NULL)
| InputText (const char *fname, int size, const char *init, int maxLength, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~InputText ()
Public Member Functions inherited from PHTML::Element
virtual | ~Element ()

## Protected Member Functions

| InputText (const char *type, const char *fname, int size, const char *init, int maxLength, DisableCodes disabled, const char *attr)
virtual void | AddAttr (PHTML &html) const
Protected Member Functions inherited from PHTML::InputField
| InputField (const char *type, const char *fname, DisableCodes disabled, const char *attr)
virtual | ~InputField ()
Protected Member Functions inherited from PHTML::FormField
| FormField (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled, const char *fname)
virtual | ~FormField ()
Protected Member Functions inherited from PHTML::FieldElement
| FieldElement (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled)
virtual | ~FieldElement ()
Protected Member Functions inherited from PHTML::Element
| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const

## Additional Inherited Members

Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }

## Constructor & Destructor Documentation

PHTML::InputText::InputText | ( | const char * | fname,
|  | int | size,
|  | const char * | init = `NULL`,
|  | const char * | attr = `NULL`
| ) |  |

PHTML::InputText::InputText | ( | const char * | fname,
|  | int | size,
|  | DisableCodes | disabled,
|  | const char * | attr = `NULL`
| ) |  |

PHTML::InputText::InputText | ( | const char * | fname,
|  | int | size,
|  | int | maxLength,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL`
| ) |  |

PHTML::InputText::InputText | ( | const char * | fname,
|  | int | size,
|  | const char * | init,
|  | int | maxLength,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL`
| ) |  |

virtual PHTML::InputText::~InputText | ( |  | ) |

inline virtual

PHTML::InputText::InputText | ( | const char * | type,
|  | const char * | fname,
|  | int | size,
|  | const char * | init,
|  | int | maxLength,
|  | DisableCodes | disabled,
|  | const char * | attr
| ) |  |

protected

## Member Function Documentation

virtual void PHTML::InputText::AddAttr | ( | PHTML & | html | ) | const

protected virtual

Reimplemented from PHTML::InputField.

The documentation for this class was generated from the following file:

- html.h